import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:internet_speed_test_v2_embedding/internet_speed_test_v2_embedding.dart';

void main() {
  const MethodChannel channel =
      MethodChannel('internet_speed_test_v2_embedding');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await InternetSpeedTestV2Embedding.platformVersion, '42');
  });
}
